ru.bitel.bgbilling.plugins.crm.server.bean.event

## Class RegisterTaskProcessEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.crm.server.bean.event.RegisterTaskProcessEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RegisterTaskProcessEvent
      extends LocalEvent

  Синхронное событие обработки задачи в CRM.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RegisterTaskProcessEvent()`
    `` | `RegisterTaskProcessEvent(int pluginId, RegisterTask task, java.lang.StringBuffer report)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StringBuffer` | `getReport()` Возвращает отчет по обработке задачи.
    `RegisterTask` | `getTask()` Возвращает закрываемую задачу.
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterTaskProcessEvent

          protected RegisterTaskProcessEvent()

    - #### RegisterTaskProcessEvent

          public RegisterTaskProcessEvent(int pluginId,
                                          RegisterTask task,
                                          java.lang.StringBuffer report)

      Конструктор события.
      Parameters:
        `pluginId` - - код плагина
        `task` - - обрабатываемая задача
        `report` - - очте по обработке

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getTask

          public RegisterTask getTask()

      Возвращает закрываемую задачу.
      Returns:
        task - задача

    - #### getReport

          public java.lang.StringBuffer getReport()

      Возвращает отчет по обработке задачи.
      В этот отчет может писать скрипт, обрабатывающий данную задачу.
      Returns:
        report - отчет